MINIDLNAD(1)

NAME
minidlnad - lightweight DLNA/UPnP-AV server

SYNOPSIS
minidlnad [-f config_file] [-d] [-v] [-u user] [-i interface] [-p port] [-s serial] [-m model_number] [-t notify_interval] [-P pid_filename] [-w url] [-S] [-L] [-R]

minidlnad [-h - -V]

DESCRIPTION
The minidlnad daemon is a DLNA/UPnP-AV server sharing media files (video, music and pictures) to clients on your network. Clients are typically multimedia players such as vlc, totem and xbmc, and devices such as portable media players, smartphones, televisions, video game entertainment systems and blu-ray players.

By default, minidlnad listens on all the network interfaces (except loopback) for clients. This behavior can be changed on the command-line using the -i option, or in the configuration file through the network_interface option (see minidlna.conf(5) for details).

OPTIONS
Most of the options below can also be set in a configuration file, as described in minidlna.conf(5).

-d  Activate debug mode (do not daemonize).

-f config_file
    Specify the location of the configuration file. Uses /etc/minidlna.conf by default.

-h  Show help and exit.

-i interface
    Network interface to listen on. Can be specified more than once.

-L  Do not create playlists.

-m model_number
    Model number the daemon will report to clients in its XML description.

-P pid_filename
    PID file to use; the default is /run/minidlna/minidlna.pid.

-p port
    Port number to listen on.

-R  Forces a full rescan of the media files. First it will remove all cached data and database. Any bookmarks will be lost.

-r  Do a non-destructive rescan of the media files on start-up.

-S  Stay foreground. Can be used when minidlnad is being managed by systemd

-s serial
    Serial number the daemon will report to clients in its XML description.

-t notify_interval
    Notify interval, in seconds; defaults to 895 seconds.

-u user
    Specify which user minidlnad should run as, instead of root; user can either be a numerical UID or a user name.

-V  Show the program version and exit.

-v  Verbose output.

-w url
    Sets the presentation url; the default is http address.

FILES
/etc/minidlna.conf
    Default system-wide configuration file. See minidlna.conf(5) for details on the syntax.

SEE ALSO
minidlna.conf(5)